aboutsummaryrefslogtreecommitdiff
path: root/test/suites/valid/run
diff options
context:
space:
mode:
Diffstat (limited to 'test/suites/valid/run')
-rwxr-xr-xtest/suites/valid/run25
1 files changed, 6 insertions, 19 deletions
diff --git a/test/suites/valid/run b/test/suites/valid/run
index d995489..afc488c 100755
--- a/test/suites/valid/run
+++ b/test/suites/valid/run
@@ -16,20 +16,14 @@ do_run() {
variant=$1
s=".$1"
- strip=0
- [ "$variant" = "strip" ] && strip=1
+ strip=""
+ [ "$variant" = "strip" ] && strip="--strip"
- STRIP=$strip $json_process --env \
- <$test_path/input >$test_log/stdout$s 2>$test_log/stderr$s
- valgrind_check $test_log/stderr$s || return 1
-
- ref=output
- [ -f $test_path/output$s ] && ref=output$s
-
- if ! cmp -s $test_path/$ref $test_log/stdout$s; then
- echo $variant > $test_log/variant
+ if ! $json_process $strip $test_path >$test_log/stdout$s 2>$test_log/stderr$s; then
+ echo $variant >$test_log/variant
return 1
fi
+ valgrind_check $test_log/stderr$s || return 1
}
run_test() {
@@ -43,14 +37,7 @@ show_error() {
s=".$variant"
echo "VARIANT: $variant"
-
- echo "EXPECTED OUTPUT:"
- ref=output
- [ -f $test_path/output$s ] && ref=output$s
- nl -bn $test_path/$ref
-
- echo "ACTUAL OUTPUT:"
- nl -bn $test_log/stdout$s
+ cat $test_log/stderr$s
}
. $top_srcdir/test/scripts/run-tests.sh